corda / net.corda.flows / CashIssueFlow

# CashIssueFlow

`class CashIssueFlow : AbstractCashFlow`

Initiates a flow that produces cash issuance transaction.

### Parameters

`amount` - the amount of currency to issue.

`issueRef` - a reference to put on the issued currency.

`recipient` - the party who should own the currency after it is issued.

`notary` - the notary to set on the output states.

### Constructors

<init> | `CashIssueFlow(amount: Amount<Currency>, issueRef: OpaqueBytes, recipient: Party, notary: Party)``CashIssueFlow(amount: Amount<Currency>, issueRef: OpaqueBytes, recipient: Party, notary: Party, progressTracker: ProgressTracker)` Initiates a flow that produces cash issuance transaction.

### Properties

amount | `val amount: Amount<Currency>`
issueRef | `val issueRef: OpaqueBytes`
notary | `val notary: Party`
recipient | `val recipient: Party`

### Inherited Properties

progressTracker | `open val progressTracker: ProgressTracker` Override this to provide a ProgressTracker. If one is provided and stepped, the framework will do something helpful with the progress reports. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

### Functions

call | `fun call(): SignedTransaction` This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.